## gnome-initial-setup 3.36.1

=== meson_options.txt ===
option('vendor-conf-file',
       type: 'string',
       description: 'points to a keyfile containing vendor customization'
)

option('cheese',
       description: 'enable support for Cheese',
       type: 'feature',
       value: 'auto'
)

option('ibus',
       description: 'enable support for IBus',
       type: 'feature',
       value: 'auto'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd integration'
)

option('parental_controls',
  type: 'feature',
  value: 'auto',
  description: 'Enable parental controls pages',
)

## gnome-initial-setup 3.20.1

=== debian/changelog ===
gnome-initial-setup (3.20.1-1ubuntu2) yakkety; urgency=medium

  * debian/links:
    - Symlink the gdm greeter .desktop to /usr/share/applications
      so that "Initial Setup" has a proper window title

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Sep 2016 11:30:23 -0400

gnome-initial-setup (3.20.1-1ubuntu1) yakkety; urgency=medium

  * ubuntu-disable-language-chooser.patch:
    - Disable language chooser since it doesn't work with Ubuntu's
      language packs yet 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2016 17:10:03 -0400

gnome-initial-setup (3.20.1-1) unstable; urgency=low

  [ Javier Martinez ]
  * Initial release  (Closes: #766388)

  [ Sjoerd Simons ]
  * debian/patches/pollkit-allow-NM.patch:
    - Added. Allow the gnome-initial-setup user to control the network

  [ Jordi Mallach ]
  * New upstream release.
  * Update Build-Depends as per configure.ac.
  * Add missing GPL-2+ license to copyright.
  * Add missing ${shlibs:Depends} substitution variable.
  * Add dependency on adduser.

  [ Jeremy Bicha ]
  * New upstream release. Update build-dependencies accordingly.
  * Use dh
  * Set Arch to linux-any since it needs gdm to build and run
  * Set libexecdir
  * Add to description and d/copyright

  [ Jordi Mallach ]
  * Add a pkla rules file for compat with policykit-1 < 0.106.

 -- Jordi Mallach <jordi@debian.org>  Wed, 03 Aug 2016 12:22:21 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-initial-setup
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               geoclue-2.0,
               gnome-common,
               gnome-pkg-tools (>= 0.13),
               intltool (>= 0.40),
               iso-codes,
               libaccountsservice-dev,
               libcheese-gtk-dev (>= 3.3.5),
	       libfontconfig1-dev,
               libgdm-dev (>= 3.8.3),
               libgeoclue-2-dev (>= 2.1.2),
               libglib2.0-dev (>= 2.36.0),
               libgnome-desktop-3-dev (>= 3.7.5),
               libgoa-1.0-dev,
               libgoa-backend-1.0-dev,
               libgtk-3-dev (>= 3.19.12),
               libgweather-3-dev (>= 3.13.91),
               libibus-1.0-dev (>= 1.5.2),
               libjson-glib-dev,
               libkrb5-dev,
               libnm-glib-dev (>= 0.9.6.4),
               libnm-gtk-dev (>= 0.9.6.4),
               libnm-util-dev (>= 0.9.6.4),
	       libpango1.0-dev (>= 1.32.5),
               libpolkit-gobject-1-dev (>= 0.103),
               libpwquality-dev,
               librest-dev,
               libsecret-1-dev,
               libwebkit2gtk-4.0-dev
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-initial-setup
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-initial-setup/
Homepage: https://git.gnome.org/browse/gnome-initial-setup/

Package: gnome-initial-setup
Architecture: linux-any
Depends: ${shlibs:Depends},
         gdm3,
         policykit-1 (>= 0.103),
         adduser,
         ${misc:Depends}
Recommends: gnome-getting-started-docs
Description: Initial GNOME system setup helper
 After acquiring or installing a new system there are a few essential things
 to set up before use. GNOME Initial Setup aims to provide a simple, easy,
 and safe way to prepare a new system.
 .
 GNOME Initial Setup runs the first time you log in to the GNOME desktop
 and lets you easily configure your language, keyboard layout, online accounts
 integration, and more.
 .
 If you want to configure these things at any other time, run the Settings app.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND= -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-initial-setup

## gnome-initial-setup 3.22.1

=== debian/changelog ===
gnome-initial-setup (3.22.1-1ubuntu2) zesty; urgency=medium

  * Add no-display-autostart.patch:
    - Hide "Welcome" app from Startup Applications app
  * Add adapt-to-gsd-324.patch:
    - Update gnome-session file for gnome-settings-daemon 3.24

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Feb 2017 19:08:28 -0500

gnome-initial-setup (3.22.1-1ubuntu1) zesty; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/links:
      + Symlink the gdm greeter .desktop to /usr/share/applications
        so that "Initial Setup" has a proper window title
    - ubuntu-disable-language-chooser.patch:
      + Disable language chooser since it doesn't work with Ubuntu's
        language packs yet
  * debian/rules: Disable the software sources page since it needs
    the GNOME Software app to be built with the PackageKit backend
    (see bug 1643134)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Dec 2016 16:46:52 -0500

gnome-initial-setup (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 06 Dec 2016 18:05:21 +0100

gnome-initial-setup (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 10 (automatic autoreconf).
  * Set libexecdir to non-multiarch dir, following current practice.
  * Update Build-Depends as per configure.ac.
  * Explicitly enable the software sources page.
  * Refresh polkit-allow-NM.patch.
  * Avoid using full path to deluser in postrm script to quieten lintian.
  * Tweak copyright file to add some text to the public-domain block.

 -- Jordi Mallach <jordi@debian.org>  Sat, 24 Sep 2016 01:59:12 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               geoclue-2.0,
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper (>= 10),
+               geoclue-2.0 (>= 2.3.1),
                gnome-common,
                gnome-pkg-tools (>= 0.13),
                intltool (>= 0.40),
                iso-codes,
                libaccountsservice-dev,
                libcheese-gtk-dev (>= 3.3.5),
-	       libfontconfig1-dev,
+               libfontconfig1-dev,
                libgdm-dev (>= 3.8.3),
-               libgeoclue-2-dev (>= 2.1.2),
-               libglib2.0-dev (>= 2.36.0),
+               libgeoclue-2-dev (>= 2.3.1),
+               libgeocode-glib-dev,
+               libglib2.0-dev (>= 2.46.0),
                libgnome-desktop-3-dev (>= 3.7.5),
                libgoa-1.0-dev,
                libgoa-backend-1.0-dev,
@@ -32,7 +32,8 @@
                libnm-glib-dev (>= 0.9.6.4),
                libnm-gtk-dev (>= 0.9.6.4),
                libnm-util-dev (>= 0.9.6.4),
-	       libpango1.0-dev (>= 1.32.5),
+               libpackagekit-glib2-dev (>= 1.1.4),
+               libpango1.0-dev (>= 1.32.5),
                libpolkit-gobject-1-dev (>= 0.103),
                libpwquality-dev,
                librest-dev,

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --parallel --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/gnome-initial-setup \
		--disable-software-sources

## gnome-initial-setup 3.24.0

=== debian/changelog ===
gnome-initial-setup (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Mar 2017 14:58:00 -0400

gnome-initial-setup (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Update network-manager Build-Depends
  * Drop patches applied in new release:
    - adapt-to-gsd-324.patch
    - no-display-autostart.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2017 14:31:10 -0400

=== debian/control ===
--- 
+++ 
@@ -29,9 +29,8 @@
                libibus-1.0-dev (>= 1.5.2),
                libjson-glib-dev,
                libkrb5-dev,
-               libnm-glib-dev (>= 0.9.6.4),
-               libnm-gtk-dev (>= 0.9.6.4),
-               libnm-util-dev (>= 0.9.6.4),
+               libnm-dev (>= 1.2),
+               libnma-dev (>= 1.0),
                libpackagekit-glib2-dev (>= 1.1.4),
                libpango1.0-dev (>= 1.32.5),
                libpolkit-gobject-1-dev (>= 0.103),

## gnome-initial-setup 3.25.4

=== debian/changelog ===
gnome-initial-setup (3.25.4-0ubuntu1) artful; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/links:
      + Symlink the gdm greeter .desktop to /usr/share/applications
        so that "Initial Setup" has a proper window title
    - debian/rules: Disable the software sources page since it needs
      the GNOME Software app to be built with the PackageKit backend
      (see bug 1643134). Also there's no easy way to change this setting
      later.
    - Add ubuntu-disable-language-chooser.patch:
      + Disable language chooser since it doesn't work with Ubuntu's
        language packs yet
  * New upstream release.
  * Drop patches applied in new release:
    - adapt-to-gsd325.patch
    - polkit-allow-NM.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 14 Aug 2017 22:59:20 -0400

gnome-initial-setup (3.24.2-1) unstable; urgency=medium

  * New upstream release (Closes: #869942)
    - Adapt gnome-session file for gnome-settings-daemon 3.24
  * debian/control.in:
    - Update NetworkManager related Build-Depends
    - Add explicit dependency on gnome-settings-daemon >= 3.24
  * Add adapt-to-gsd325.patch:
    - Don't require the orientation or xrandr plugins that will
      be dropped in gnome-settings-daemon 3.26 to smooth that
      transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 06 Aug 2017 17:41:28 -0400

=== debian/control ===
--- 
+++ 
@@ -49,6 +49,7 @@
          gdm3,
          policykit-1 (>= 0.103),
          adduser,
+         gnome-settings-daemon (>= 3.24),
          ${misc:Depends}
 Recommends: gnome-getting-started-docs
 Description: Initial GNOME system setup helper

## gnome-initial-setup 3.26.0

=== debian/changelog ===
gnome-initial-setup (3.26.0-0ubuntu2) artful; urgency=medium

  * Lower dependency on gdm3 to Suggests.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Sep 2017 07:54:25 -0400

gnome-initial-setup (3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Sep 2017 21:10:01 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 10),
                geoclue-2.0 (>= 2.3.1),
                gnome-common,
@@ -46,12 +46,12 @@
 Package: gnome-initial-setup
 Architecture: linux-any
 Depends: ${shlibs:Depends},
-         gdm3,
          policykit-1 (>= 0.103),
          adduser,
          gnome-settings-daemon (>= 3.24),
          ${misc:Depends}
 Recommends: gnome-getting-started-docs
+Suggests: gdm3
 Description: Initial GNOME system setup helper
  After acquiring or installing a new system there are a few essential things
  to set up before use. GNOME Initial Setup aims to provide a simple, easy,

## gnome-initial-setup 3.27.90

=== debian/changelog ===
gnome-initial-setup (3.27.90-1ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Feb 2018 07:58:29 -0500

gnome-initial-setup (3.27.90-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - Add ubuntu-disable-language-chooser.patch:
      + Disable language chooser since it doesn't work with Ubuntu's
        language packs yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 07:44:58 -0500

gnome-initial-setup (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Feb 2018 13:55:27 -0500

gnome-initial-setup (3.26.0-2) unstable; urgency=medium

  * Lower dependency on gdm3 to Suggests.
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Disable the Software Sources page since there is no obvious easy way
    to change this setting later

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 25 Dec 2017 09:22:53 -0500

gnome-initial-setup (3.26.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 21:22:37 -0400

gnome-initial-setup (3.25.92-1) unstable; urgency=medium

  * New upstream translations release (Closes: #862675)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Sep 2017 20:14:08 -0400

gnome-initial-setup (3.25.4-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, applied in new release
  * debian/links:
    + Symlink the gdm greeter .desktop to /usr/share/applications
      so that "Initial Setup" has a proper window title
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 12:11:56 -0400

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper (>= 11),
                geoclue-2.0 (>= 2.3.1),
                gnome-common,
                gnome-pkg-tools (>= 0.13),
@@ -38,9 +38,9 @@
                librest-dev,
                libsecret-1-dev,
                libwebkit2gtk-4.0-dev
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-initial-setup
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-initial-setup/
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/bionic
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -B ubuntu/bionic
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/gnome-initial-setup \
		--disable-software-sources

## gnome-initial-setup 3.28.0

=== debian/changelog ===
gnome-initial-setup (3.28.0-2ubuntu6) bionic; urgency=medium

  [ Andrea Azzarone ]
  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - Store goa account id in gsettings

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Apr 2018 14:27:53 +1200

gnome-initial-setup (3.28.0-2ubuntu5) bionic; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - Improve promoted apps navigation

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Apr 2018 11:23:09 +1200

gnome-initial-setup (3.28.0-2ubuntu4) bionic; urgency=medium

  * debian/patches/0001-Don-t-run-welcome-tour-at-end.patch:
  * debian/patches/0001-Make-summary-page-explicitly-request-navigation-butt.patch:
  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - Don't run the "welcome tour" at the end
    - Drop start / end pages
    - Show graphic showing what's changed from older versions of Ubuntu
    - Change layout to match updated design

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Apr 2018 09:35:48 +1200

gnome-initial-setup (3.28.0-2ubuntu3) bionic; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - Don't show livepatch page if already enabled (LP: #1761569)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Apr 2018 10:36:45 +1200

gnome-initial-setup (3.28.0-2ubuntu2) bionic; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - Only show installed graphical apps (LP: #1761574)
    - Don't promote snaps that are already installed (LP: #1761578)
    - Don't show settings privacy link that doesn't exist (LP: #1762199)
    - Remove FIXME from page description (LP: #1762201)
    - Use privacy URL from /etc/os-release (LP: #1761745)
    - Make page titles consistent with existing pages (LP: #1762198)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Apr 2018 09:47:40 +1200

gnome-initial-setup (3.28.0-2ubuntu1) bionic; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
  * debian/ubuntu-changes.png:
    - Show Ubuntu welcome pages (LP: #1755456)
  * debian/control:
    - Build-Depends on libsnapd-glib-dev, libsoupd2.4-dev, 
      libsysmetrics-dev
    - Enable langpack usage

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 06 Apr 2018 09:52:39 +1200

gnome-initial-setup (3.28.0-2) unstable; urgency=medium

  * Add welcome-screen.patch from Fedora to still show Welcome screen if
    Language page is disabled
  * Install vendor.conf on Ubuntu to skip the language settings there
    since they don't currently work with Ubuntu's language packs
  * Cherry-pick use-Ubuntu-icon-on-Ubuntu.patch

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Mar 2018 23:09:30 -0400

gnome-initial-setup (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick use-Debian-icon-on-Debian.patch:
    - Use the Debian logo instead of GNOME logo on the Welcome screen
  * Depend on desktop-base on Debian for that feature

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Mar 2018 19:29:29 -0400

gnome-initial-setup (3.27.90-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Mar 2018 20:59:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-initial-setup
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 11),
                geoclue-2.0 (>= 2.3.1),
@@ -37,11 +36,15 @@
                libpwquality-dev,
                librest-dev,
                libsecret-1-dev,
+               libsnapd-glib-dev,
+               libsoup2.4-dev,
+               libsysmetrics-dev,
                libwebkit2gtk-4.0-dev
 Standards-Version: 4.1.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/bionic
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -B ubuntu/bionic
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
+X-Ubuntu-Use-Langpack: yes
 
 Package: gnome-initial-setup
 Architecture: linux-any
@@ -49,6 +52,7 @@
          policykit-1 (>= 0.103),
          adduser,
          gnome-settings-daemon (>= 3.24),
+         ${logo:Depends},
          ${misc:Depends}
 Recommends: gnome-getting-started-docs
 Suggests: gdm3

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,26 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir=/usr/lib/gnome-initial-setup \
-		--disable-software-sources
+		--disable-software-sources \
+		--with-vendor-conf-file=/usr/lib/gnome-initial-setup/vendor.conf
+
+override_dh_auto_build:
+	cp debian/ubuntu-changes.png gnome-initial-setup/pages/ubuntu-changes
+	dh_auto_build
+
+# Skip language chooser on Ubuntu since it doesn't work there
+override_dh_install:
+	dh_install
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+	dh_install debian/vendor.conf /usr/lib/gnome-initial-setup
+endif
+
+# Depend on the appropriate package for the Welcome logo
+override_dh_gencontrol:
+ifeq ($(shell dpkg-vendor --query vendor),Debian)
+	dh_gencontrol -- -Vlogo:Depends='desktop-base'
+else ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	dh_gencontrol -- -Vlogo:Depends='gnome-control-center-data'
+else
+	dh_gencontrol
+endif

## gnome-initial-setup 3.30.0

=== debian/changelog ===
gnome-initial-setup (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 22 Sep 2018 19:09:38 -0400

gnome-initial-setup (3.29.92-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2018 10:50:01 +0200

gnome-initial-setup (3.29.1-1) experimental; urgency=medium

  * New upstream release
  * d/p/welcome-screen.patch: Drop, this is already upstream
  * d/p/use-Debian-icon-on-Debian.patch: Drop, this is already upstream
  * d/p/use-Ubuntu-icon-on-Ubuntu.patch: Drop, this is already upstream
  * Standards-Version: 4.1.5 (no changes required)
  * Set Rules-Requires-Root to no
  * Build with meson

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Wed, 01 Aug 2018 16:09:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 11),
                geoclue-2.0 (>= 2.3.1),
                gnome-common,
@@ -36,15 +36,13 @@
                libpwquality-dev,
                librest-dev,
                libsecret-1-dev,
-               libsnapd-glib-dev,
-               libsoup2.4-dev,
-               libsysmetrics-dev,
-               libwebkit2gtk-4.0-dev
-Standards-Version: 4.1.2
+               libwebkit2gtk-4.0-dev,
+               meson (>= 0.47.0)
+Rules-Requires-Root: no
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
-X-Ubuntu-Use-Langpack: yes
 
 Package: gnome-initial-setup
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,16 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
+	dh $@ --with gnome --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libexecdir=/usr/lib/gnome-initial-setup \
-		--disable-software-sources \
-		--with-vendor-conf-file=/usr/lib/gnome-initial-setup/vendor.conf
-
-override_dh_auto_build:
-	cp debian/ubuntu-changes.png gnome-initial-setup/pages/ubuntu-changes
-	dh_auto_build
+		-Ddisable-software-sources=true \
+		-Dwith-vendor-conf-file=/usr/lib/gnome-initial-setup/vendor.conf
 
 # Skip language chooser on Ubuntu since it doesn't work there
 override_dh_install:

## gnome-initial-setup 3.32.1

=== debian/changelog ===
gnome-initial-setup (3.32.1-1ubuntu3) disco; urgency=medium

  * d/p/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - Don't set vexpand for the GtkSpinner in the apps page. (LP: #1824996)

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 16 Apr 2019 17:19:07 +0100

gnome-initial-setup (3.32.1-1ubuntu2) disco; urgency=medium

  * d/p/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - Retry getting the list of featured snaps in case of failure. (LP: #1824188)
  * d/p/0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch:
  * d/p/0001-Make-summary-page-explicitly-request-navigation-butt.patch:
  * d/p/0008-Ubuntu-location-default.patch:
    - Patches refreshed automatically by gbp.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Fri, 12 Apr 2019 17:17:35 +0000

gnome-initial-setup (3.32.1-1ubuntu1) disco; urgency=medium

  * Sync with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Don-t-run-welcome-tour-at-end.patch
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - debian/patches/0008-Ubuntu-location-default.patch
      - Don-t-show-Facebook-in-Ubuntu.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Mar 2019 10:18:36 +0100

gnome-initial-setup (3.32.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 10:41:17 +0200

gnome-initial-setup (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Mar 2019 10:11:00 +0100

gnome-initial-setup (3.31.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Mar 2019 14:43:25 +0100

gnome-initial-setup (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome
  * Stop overriding libexecdir
  * debian/rules: Update build flags
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Feb 2019 20:25:00 -0500

gnome-initial-setup (3.30.0-1ubuntu5) disco; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - enable the 'privacy' step in the Ubuntu first login wizard,
      that way users can easily opt in for the location service
      which also enable some of the desktop features to work without
      having to go tweak the settings (like timezone changes)
      (lp: #1809002)

  [ Andrea Azzarone ]
  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - Use privacy URL from /etc/os-release in Livepatch page.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Dec 2018 10:09:35 +0100

gnome-initial-setup (3.30.0-1ubuntu4) disco; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - update the "legal notice" URL to use the one which is specific about
      ubuntu report (lp: #1789925)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 31 Oct 2018 15:41:49 +0100

gnome-initial-setup (3.30.0-1ubuntu3) cosmic; urgency=medium

  * Populate featured snaps from ubuntu-firstrun category

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Wed, 17 Oct 2018 10:25:35 +0100

gnome-initial-setup (3.30.0-1ubuntu2) cosmic; urgency=medium

  * Add Don-t-show-Facebook-in-Ubuntu.patch:
    - Don't offer Facebook login in Welcome to Ubuntu wizard since
      none of Ubuntu's default apps will use it. (LP: #1797736)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 13 Oct 2018 22:28:02 -0400

gnome-initial-setup (3.30.0-1ubuntu1) cosmic; urgency=medium

  * Merge frin debian unstable (LP: #1795373). Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
      - Enable langpack usage
    + Ubuntu-specific patches:
      - 0001-Don-t-run-welcome-tour-at-end.patch
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
  * debian/rules:
    - Drop the dh_auto_clean workaround, the required commit is upstream now.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Mon, 01 Oct 2018 12:48:03 +0100

gnome-initial-setup (3.29.92-1ubuntu3) cosmic; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    Drop ubuntu-changes page (LP: #1790146).

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Thu, 20 Sep 2018 13:38:11 +0000

gnome-initial-setup (3.29.92-1ubuntu2) cosmic; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - update the livepatch page legal notice url (lp: #1789925)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 Sep 2018 16:30:19 +0200

gnome-initial-setup (3.29.92-1ubuntu1) cosmic; urgency=medium

  * Update to 3.29.92

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2018 11:08:58 +0200

gnome-initial-setup (3.29.1-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian experimental (lp: #1784617). Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
      - Enable langpack usage
    + Ubuntu-specific patches:
      - 0001-Don-t-run-welcome-tour-at-end.patch
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch


=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Source: gnome-initial-setup
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                geoclue-2.0 (>= 2.3.1),
-               gnome-common,
-               gnome-pkg-tools (>= 0.13),
-               intltool (>= 0.40),
                iso-codes,
+               itstool,
                libaccountsservice-dev,
                libcheese-gtk-dev (>= 3.3.5),
                libfontconfig1-dev,
@@ -36,12 +36,17 @@
                libpwquality-dev,
                librest-dev,
                libsecret-1-dev,
+               libsnapd-glib-dev,
+               libsoup2.4-dev,
+               libsysmetrics-dev,
                libwebkit2gtk-4.0-dev,
                meson (>= 0.47.0)
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
+Standards-Version: 4.3.0
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-initial-setup
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-initial-setup
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup

## gnome-initial-setup 3.34.1

=== debian/changelog ===
gnome-initial-setup (3.34.1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Don-t-run-welcome-tour-at-end.patch
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - debian/patches/0008-Ubuntu-location-default.patch
      - Don-t-show-Facebook-in-Ubuntu.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Oct 2019 10:00:27 +0200

gnome-initial-setup (3.34.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Oct 2019 07:20:33 -0400

gnome-initial-setup (3.34.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Sep 2019 20:48:57 -0400

gnome-initial-setup (3.34.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Sep 2019 16:01:08 +0200

gnome-initial-setup (3.33.91-1) experimental; urgency=medium

  * New upstream release
    - systemd user instance support
    - use a11y menu in initial-setup session
    - Make the page fit narrow screens
    - Account for multi monitor when checking for small screen
    - Refactor the logo selection
    - Refactor page headers
  * debian/control: Build-depend on systemd

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 21 Aug 2019 15:51:57 +0200

gnome-initial-setup (3.32.1-1ubuntu4) eoan; urgency=medium

  * d/p/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - typo fixed in an error string (lp: #1824539)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 18 May 2019 13:09:47 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                geoclue-2.0 (>= 2.3.1),
-               iso-codes,
                itstool,
                libaccountsservice-dev,
                libcheese-gtk-dev (>= 3.3.5),
@@ -39,6 +38,7 @@
                libsnapd-glib-dev,
                libsoup2.4-dev,
                libsysmetrics-dev,
+               libsystemd-dev [linux-any],
                libwebkit2gtk-4.0-dev,
                meson (>= 0.47.0)
 Rules-Requires-Root: no
@@ -57,7 +57,8 @@
          gnome-settings-daemon (>= 3.24),
          ${logo:Depends},
          ${misc:Depends}
-Recommends: gnome-getting-started-docs
+Recommends: gnome-getting-started-docs,
+            gnome-keyring,
 Suggests: gdm3
 Description: Initial GNOME system setup helper
  After acquiring or installing a new system there are a few essential things

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,13 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome --buildsystem=meson
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib/gnome-initial-setup \
-		-Ddisable-software-sources=true \
-		-Dwith-vendor-conf-file=/usr/lib/gnome-initial-setup/vendor.conf
+		-Dauto_features=enabled \
+		-Dsoftware-sources=disabled \
+		-Dvendor-conf-file=/usr/lib/gnome-initial-setup/vendor.conf
 
 # Skip language chooser on Ubuntu since it doesn't work there
 override_dh_install:

## gnome-initial-setup 3.36.0

=== debian/changelog ===
gnome-initial-setup (3.36.0-1ubuntu3) focal; urgency=medium

  * Refresh the control...

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Mar 2020 16:28:27 +0100

gnome-initial-setup (3.36.0-1ubuntu2) focal; urgency=medium

  * debian/control.in,
     d/p/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - simplify the meson gettext handling of the polkit file, our package
      handles its rules even if it's version is older. Build-Depends on
      libxml2-utils and polkit. (lp: #1859960)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Mar 2020 12:38:32 +0100

gnome-initial-setup (3.36.0-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Don-t-run-welcome-tour-at-end.patch
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch
  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - don't add non existant sources to the translation template,
      should fix the translations import (lp: #1859960)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Mar 2020 20:37:23 +0100

gnome-initial-setup (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Will Thompson <wjt@endlessm.com>  Tue, 10 Mar 2020 16:46:31 +0000

gnome-initial-setup (3.35.91-1) experimental; urgency=medium

  [ Will Thompson ]
  * New upstream release
  * debian/control:
    - build without parental controls, it has depends not yet in Debian
    - depend on GLib >= 2.63.1
  * debian/rules:
    - drop obsolete build option
    - build without parental controls

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 18 Feb 2020 11:24:03 +0100

gnome-initial-setup (3.35.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - updates the cheese requirement, removed libpackagekit-glib2-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 06 Feb 2020 11:37:30 +0100

gnome-initial-setup (3.34.1-1ubuntu2) focal; urgency=medium

  * No-change rebuild against latest libgweather

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Oct 2019 19:06:57 -0400

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
                geoclue-2.0 (>= 2.3.1),
                itstool,
                libaccountsservice-dev,
-               libcheese-gtk-dev (>= 3.3.5),
+               libcheese-gtk-dev (>= 3.28),
                libfontconfig1-dev,
                libgdm-dev (>= 3.8.3),
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev,
-               libglib2.0-dev (>= 2.46.0),
+               libglib2.0-dev (>= 2.63.1),
                libgnome-desktop-3-dev (>= 3.7.5),
                libgoa-1.0-dev,
                libgoa-backend-1.0-dev,
@@ -29,7 +29,6 @@
                libkrb5-dev,
                libnm-dev (>= 1.2),
                libnma-dev (>= 1.0),
-               libpackagekit-glib2-dev (>= 1.1.4),
                libpango1.0-dev (>= 1.32.5),
                libpolkit-gobject-1-dev (>= 0.103),
                libpwquality-dev,
@@ -40,7 +39,9 @@
                libsysmetrics-dev,
                libsystemd-dev [linux-any],
                libwebkit2gtk-4.0-dev,
-               meson (>= 0.47.0)
+               libxml2-utils,
+               meson (>= 0.47.0),
+               policykit-1,
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup

## gnome-initial-setup 3.36.1

=== debian/changelog ===
gnome-initial-setup (3.36.1-1ubuntu1) focal; urgency=medium

  * New bugfix update

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Apr 2020 10:19:31 +0200

gnome-initial-setup (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Will Thompson <wjt@endlessm.com>  Thu, 02 Apr 2020 20:26:56 +0100

gnome-initial-setup (3.36.0-1ubuntu4) focal; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - use ubuntu-software to browse available softwares, fallback
      to using gnome-software if it's missing (lp: #1869591)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 31 Mar 2020 17:27:03 +0200

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libpolkit-gobject-1-dev (>= 0.103),
                libpwquality-dev,
                librest-dev,
-               libsecret-1-dev,
+               libsecret-1-dev (>= 0.18.8),
                libsnapd-glib-dev,
                libsoup2.4-dev,
                libsysmetrics-dev,
@@ -44,10 +44,10 @@
                policykit-1,
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-initial-setup
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-initial-setup
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/master
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
-		-Dsoftware-sources=disabled \
+		-Dparental_controls=disabled \
 		-Dvendor-conf-file=/usr/lib/gnome-initial-setup/vendor.conf
 
 # Skip language chooser on Ubuntu since it doesn't work there

## gnome-initial-setup 3.36.2

=== debian/changelog ===
gnome-initial-setup (3.36.2-0ubuntu2) focal; urgency=medium

  * control, gbp.conf: Update Vcs info for focal
  * Don't cast a GtkLabel into a GisSnapTile.
    We populate a GtkFlowBox with tiles representing features snaps. There
    might not be exactly enough to fill up the entire number of rows, so the
    remaining cells are filled up with blank space, which is actually a
    GtkLabel.
    When clicking these tiles, we launch Software to the application that's
    been clicked. That is done by looking inside the tile to find its
    associated snap.
    We try to do this 'looking inside' for the blank tiles too. But they
    aren't snaps at all - as mentioned above, they are GtkLabels. We illegally
    cast to a snap tile, and then operate on it. At best, this leads to a
    warning on stderr and Software getting spawned to display a nonsense
    application. At worst we crash.
    Fix this by altering the callback to check if we have clicked on a snap or
    not. In the not case, simply return and do nothing. (LP: #1901548)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 27 Oct 2020 18:11:09 +0000

gnome-initial-setup (3.36.2-0ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes: (lp: #1875608)
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Don-t-run-welcome-tour-at-end.patch
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch

 -- Sebastien Bacher <seb128@debian.org>  Tue, 28 Apr 2020 12:03:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                geoclue-2.0 (>= 2.3.1),
@@ -46,8 +46,8 @@
 Standards-Version: 4.3.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/focal
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/focal
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup
